Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableSkewX Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableSkewX:
[legend]
Collaboration diagram for Magick::DrawableSkewX:
[legend]

## Public Member Functions
| DrawableSkewX (double angle_)
| ~DrawableSkewX (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | angle (double angle_)
double | angle (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1659 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableSkewX()

Magick::DrawableSkewX::DrawableSkewX | ( | double | angle_ | ) |
| inline

Definition at line 1662 of file Drawable.h.

## ◆ ~DrawableSkewX()

Magick::DrawableSkewX::~DrawableSkewX | ( | void |  | ) |

Definition at line 1134 of file Drawable.cpp.

## Member Function Documentation

## ◆ angle() [1/2]

void Magick::DrawableSkewX::angle | ( | double | angle_ | ) |
| inline

Definition at line 1674 of file Drawable.h.

## ◆ angle() [2/2]

double Magick::DrawableSkewX::angle | ( | void |  | ) | const
| inline

Definition at line 1678 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableSkewX::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1142 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableSkewX::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1138 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp